<bugID>347398<Summary>menu buttons for back and forward history misaligned on mac</Summary><Description>See attached screenshot. The menu button for back and forward on the navigation toolbar sits too high. Also the hover box that shows up behind the arrow is a pixel too high.</Description></bugID>